#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję pokemon_speak, która zamienia w podanym napisie co drugą literę
na wielką. Np. pokemon_speak('pokemon') powinno zwrócić 'PoKeMoN'.
"""


def pokemon_speak(text):
    res = ""
    c = 1
    for i in text:
        if c%2 == 0:
            res += i
        else:
            res += i.upper()
        c += 1
    return res

def tests(f):
    inputs = [['pokemon'], ['do not want'], ['POKEMON']]
    outputs = ['PoKeMoN', 'Do nOt wAnT', 'POKEMON']

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(pokemon_speak))